## ros2-ament-lint 0.12.0

=== ament_cmake_clang_tidy/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(ament_cmake_clang_tidy NONE)

find_package(ament_cmake_core REQUIRED)
find_package(ament_cmake_test REQUIRED)

ament_package(
  CONFIG_EXTRAS "ament_cmake_clang_tidy-extras.cmake"
)

install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_cmake_copyright REQUIRED)
  ament_copyright()

  find_package(ament_cmake_lint_cmake REQUIRED)
  ament_lint_cmake()
endif()

=== ament_cmake_cppcheck/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(ament_cmake_cppcheck NONE)

find_package(ament_cmake_core REQUIRED)
find_package(ament_cmake_test REQUIRED)

ament_package(
  CONFIG_EXTRAS "ament_cmake_cppcheck-extras.cmake"
)

install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_cmake_copyright REQUIRED)
  ament_copyright()

  find_package(ament_cmake_lint_cmake REQUIRED)
  ament_lint_cmake()
endif()

=== ament_cmake_lint_cmake/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(ament_cmake_lint_cmake NONE)

find_package(ament_cmake_core REQUIRED)
find_package(ament_cmake_test REQUIRED)

# include CMake functions of this package
set(ament_cmake_lint_cmake_DIR "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
include("ament_cmake_lint_cmake-extras.cmake" NO_POLICY_SCOPE)

ament_package(
  CONFIG_EXTRAS "ament_cmake_lint_cmake-extras.cmake"
)

install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME}
)

if(BUILD_TESTING)
  ament_lint_cmake()
endif()

=== ament_cmake_pclint/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(ament_cmake_pclint NONE)

find_package(ament_cmake_core REQUIRED)
find_package(ament_cmake_test REQUIRED)

ament_package(
  CONFIG_EXTRAS "ament_cmake_pclint-extras.cmake"
)

install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_cmake_copyright REQUIRED)
  ament_copyright()

  find_package(ament_cmake_lint_cmake REQUIRED)
  ament_lint_cmake()
endif()

=== ament_cmake_uncrustify/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(ament_cmake_uncrustify NONE)

find_package(ament_cmake_core REQUIRED)
find_package(ament_cmake_test REQUIRED)

ament_package(
  CONFIG_EXTRAS "ament_cmake_uncrustify-extras.cmake"
)

install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_cmake_copyright REQUIRED)
  ament_copyright()

  find_package(ament_cmake_lint_cmake REQUIRED)
  ament_lint_cmake()
endif()

=== ament_lint_auto/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(ament_lint_auto NONE)

find_package(ament_cmake_core REQUIRED)

ament_package(
  CONFIG_EXTRAS "ament_lint_auto-extras.cmake"
)

install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME}
)

=== ament_lint_common/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(ament_lint_common NONE)

find_package(ament_cmake_core REQUIRED)
find_package(ament_cmake_export_dependencies REQUIRED)

ament_package_xml()
ament_export_dependencies(${${PROJECT_NAME}_EXEC_DEPENDS})
ament_package()

=== debian/changelog ===
ros2-ament-lint (0.12.0-1) unstable; urgency=medium

  * New upstream version 0.12.0

 -- Timo Röhling <roehling@debian.org>  Sat, 19 Feb 2022 11:52:13 +0100

ros2-ament-lint (0.11.4-1) unstable; urgency=medium

  * New upstream version 0.11.4

 -- Timo Röhling <roehling@debian.org>  Wed, 09 Feb 2022 19:27:33 +0100

ros2-ament-lint (0.11.3-1) unstable; urgency=medium

  * Initial release.

 -- Timo Röhling <roehling@debian.org>  Thu, 20 Jan 2022 01:44:49 +0100

=== debian/control ===
Source: ros2-ament-lint
Section: devel
Priority: optional
Maintainer: Debian Robotics Team <team+robotics@tracker.debian.org>
Uploaders: Timo Röhling <roehling@debian.org>,
           Jochen Sprickerhof <jspricke@debian.org>,
Build-Depends: debhelper-compat (= 13),
	       ament-cmake,
               cmake,
               dh-ros (>= 0.5.0),
               dh-sequence-python3,
	       python3-all,
	       python3-flake8 <!nocheck>,
	       python3-pycodestyle <!nocheck>,
	       python3-pydocstyle <!nocheck>,
	       python3-pytest <!nocheck>,
	       python3-setuptools,
	       python3-yaml,
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/robotics-team/ros2-ament-lint
Vcs-Git: https://salsa.debian.org/robotics-team/ros2-ament-lint.git
Rules-Requires-Root: no
Homepage: https://github.com/ament/ament_lint


Package: ament-lint
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
 ament-cmake-core,
 ament-cmake-copyright,
 ament-cmake-cppcheck,
 ament-cmake-cpplint,
 ament-cmake-flake8,
 ament-cmake-lint-cmake,
 ament-cmake-pep257,
 ament-cmake-uncrustify,
 ament-cmake-xmllint,
 python3-ament-lint,
Description: Linter framework for ROS 2 ament packages
 The ament build system is the most common way to build packages for ROS 2.

Package: ament-cmake-clang-format
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
 ament-cmake-core,
 python3-ament-cmake-test,
 python3-ament-clang-format,
Description: CMake build system for ROS 2 ament packages (clang_format)
 The ament build system is the most common way to build packages for ROS 2.
 ament_cmake provides the necessary tooling to build ament packages with CMake.
 .
 This package adds support for linting with clang_format to ament_cmake.

Package: ament-cmake-clang-tidy
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
 ament-cmake-core,
 python3-ament-cmake-test,
 python3-ament-clang-tidy,
Description: CMake build system for ROS 2 ament packages (clang_tidy)
 The ament build system is the most common way to build packages for ROS 2.
 ament_cmake provides the necessary tooling to build ament packages with CMake.
 .
 This package adds support for linting with clang_tidy to ament_cmake.

Package: ament-cmake-copyright
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
 ament-cmake-core,
 python3-ament-cmake-test,
 python3-ament-copyright,
Description: CMake build system for ROS 2 ament packages (copyright checks)
 The ament build system is the most common way to build packages for ROS 2.
 ament_cmake provides the necessary tooling to build ament packages with CMake.
 .
 This package adds support for copyright checks to ament_cmake.

Package: ament-cmake-cppcheck
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
 ament-cmake-core,
 python3-ament-cmake-test,
 python3-ament-cppcheck,
Description: CMake build system for ROS 2 ament packages (cppcheck)
 The ament build system is the most common way to build packages for ROS 2.
 ament_cmake provides the necessary tooling to build ament packages with CMake.
 .
 This package adds support for linting with cppcheck to ament_cmake.

Package: ament-cmake-cpplint
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
 ament-cmake-core,
 python3-ament-cmake-test,
 python3-ament-cpplint,
Description: CMake build system for ROS 2 ament packages (cpplint)
 The ament build system is the most common way to build packages for ROS 2.
 ament_cmake provides the necessary tooling to build ament packages with CMake.
 .
 This package adds support for linting with cpplint to ament_cmake.

Package: ament-cmake-flake8
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
 ament-cmake-core,
 python3-ament-cmake-test,
 python3-ament-flake8,
Description: CMake build system for ROS 2 ament packages (flake8)
 The ament build system is the most common way to build packages for ROS 2.
 ament_cmake provides the necessary tooling to build ament packages with CMake.
 .
 This package adds support for linting with flake8 to ament_cmake.

Package: ament-cmake-lint-cmake
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
 ament-cmake-core,
 python3-ament-cmake-test,
 python3-ament-lint-cmake,
Description: CMake build system for ROS 2 ament packages (CMake linter)
 The ament build system is the most common way to build packages for ROS 2.
 ament_cmake provides the necessary tooling to build ament packages with CMake.
 .
 This package adds support for linting CMake files to ament_cmake.

Package: ament-cmake-mypy
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
 ament-cmake-core,
 python3-ament-cmake-test,
 python3-ament-mypy,
Description: CMake build system for ROS 2 ament packages (mypy)
 The ament build system is the most common way to build packages for ROS 2.
 ament_cmake provides the necessary tooling to build ament packages with CMake.
 .
 This package adds support for static typing checking with mypy to ament_cmake.

Package: ament-cmake-pep257
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
 ament-cmake-core,
 python3-ament-cmake-test,
 python3-ament-pep257,
Description: CMake build system for ROS 2 ament packages (pydocstyle PEP-257 validator)
 The ament build system is the most common way to build packages for ROS 2.
 ament_cmake provides the necessary tooling to build ament packages with CMake.
 .
 This package adds support for PEP-257 validation with pydocstyle to
 ament_cmake.

Package: ament-cmake-pycodestyle
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
 ament-cmake-core,
 python3-ament-cmake-test,
 python3-ament-pycodestyle,
Description: CMake build system for ROS 2 ament packages (pycodestyle PEP-8 validator)
 The ament build system is the most common way to build packages for ROS 2.
 ament_cmake provides the necessary tooling to build ament packages with CMake.
 .
 This package adds support for PEP-8 validation with pycodestyle to ament_cmake.

Package: ament-cmake-pyflakes
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
 ament-cmake-core,
 python3-ament-cmake-test,
 python3-ament-pyflakes,
Description: CMake build system for ROS 2 ament packages (pyflakes)
 The ament build system is the most common way to build packages for ROS 2.
 ament_cmake provides the necessary tooling to build ament packages with CMake.
 .
 This package adds support for pyflakes to ament_cmake.

Package: ament-cmake-uncrustify
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
 ament-cmake-core,
 python3-ament-cmake-test,
 python3-ament-uncrustify,
Description: CMake build system for ROS 2 ament packages (uncrustify)
 The ament build system is the most common way to build packages for ROS 2.
 ament_cmake provides the necessary tooling to build ament packages with CMake.
 .
 This package adds support for uncrustify to ament_cmake.

Package: ament-cmake-xmllint
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
 ament-cmake-core,
 python3-ament-cmake-test,
 python3-ament-xmllint,
Description: CMake build system for ROS 2 ament packages (xmllint)
 The ament build system is the most common way to build packages for ROS 2.
 ament_cmake provides the necessary tooling to build ament packages with CMake.
 .
 This package adds support for xmllint to ament_cmake.

Package: python3-ament-lint
Section: python
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
 ${python3:Depends},
Description: Python 3 module for the Linter framework in ROS 2 ament packages
 The ament build system is the most common way to build packages for ROS 2.
 This package provides the Python 3 module that provides basic functionality
 of the Linter framework for ROS 2 ament packages.

Package: python3-ament-clang-format
Section: python
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
 ${python3:Depends},
 python3-ament-lint,
 clang-format,
Description: Python 3 module for clang_format support in ROS 2 ament packages
 The ament build system is the most common way to build packages for ROS 2.
 This package provides the Python 3 module that adds clang_format linter
 support to ament.

Package: python3-ament-clang-tidy
Section: python
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
 ${python3:Depends},
 python3-ament-lint,
 clang-tidy,
Description: Python 3 module for clang_tidy support in ROS 2 ament packages
 The ament build system is the most common way to build packages for ROS 2.
 This package provides the Python 3 module that adds clang_tidy linter
 support to ament.

Package: python3-ament-copyright
Section: python
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
 ${python3:Depends},
 python3-ament-lint,
Description: Python 3 module for copyright checks in ROS 2 ament packages
 The ament build system is the most common way to build packages for ROS 2.
 This package provides the Python 3 module that adds copyright check
 support to ament.

Package: python3-ament-cppcheck
Section: python
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
 ${python3:Depends},
 python3-ament-lint,
 cppcheck,
Description: Python 3 module for cppcheck support in ROS 2 ament packages
 The ament build system is the most common way to build packages for ROS 2.
 This package provides the Python 3 module that adds cppcheck linter
 support to ament.

Package: python3-ament-cpplint
Section: python
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
 ${python3:Depends},
 python3-ament-lint,
 cpplint,
Description: Python 3 module for cpplint support in ROS 2 ament packages
 The ament build system is the most common way to build packages for ROS 2.
 This package provides the Python 3 module that checks C++ source code
 against Google style conventions.

Package: python3-ament-flake8
Section: python
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
 ${python3:Depends},
 python3-ament-lint,
 python3-flake8,
Description: Python 3 module for flake8 support in ROS 2 ament packages
 The ament build system is the most common way to build packages for ROS 2.
 This package provides the Python 3 module that adds flake8 linter
 support to ament.

Package: python3-ament-lint-cmake
Section: python
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
 ${python3:Depends},
 python3-ament-lint,
Description: Python 3 module for linting CMake files in ROS 2 ament packages
 The ament build system is the most common way to build packages for ROS 2.
 This package provides the Python 3 module for linting CMake files in ament.

Package: python3-ament-mypy
Section: python
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
 ${python3:Depends},
 python3-ament-lint,
 python3-mypy,
Description: Python 3 module for mypy support in ROS 2 ament packages
 The ament build system is the most common way to build packages for ROS 2.
 This package provides the Python 3 module that adds mypy static type
 checking support to ament.

Package: python3-ament-pep257
Section: python
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
 ${python3:Depends},
 python3-ament-lint,
 python3-pydocstyle,
Description: Python 3 module for PEP-257 validation in ROS 2 ament packages
 The ament build system is the most common way to build packages for ROS 2.
 This package provides the Python 3 module that adds PEP-257 validation
 with pydocstyle to ament.

Package: python3-ament-pycodestyle
Section: python
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
 ${python3:Depends},
 python3-ament-lint,
 python3-pycodestyle,
Description: Python 3 module for PEP-8 validation in ROS 2 ament packages
 The ament build system is the most common way to build packages for ROS 2.
 This package provides the Python 3 module that adds PEP-8 validation
 with pycodestyle to ament.

Package: python3-ament-pyflakes
Section: python
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
 ${python3:Depends},
 python3-ament-lint,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/ament_lint-$1\.tar\.gz/ \
 https://github.com/ament/ament_lint/tags .*/v?(\d\S+)\.tar\.gz

## ros2-ament-lint 0.13.1

=== debian/changelog ===
ros2-ament-lint (0.13.1-1) unstable; urgency=medium

  * New upstream version 0.13.1

 -- Timo Röhling <roehling@debian.org>  Wed, 11 May 2022 12:46:36 +0200

ros2-ament-lint (0.13.0-4) unstable; urgency=medium

  * Add kill switch for ament_lint_auto

 -- Timo Röhling <roehling@debian.org>  Tue, 10 May 2022 19:56:44 +0200

ros2-ament-lint (0.13.0-3) unstable; urgency=medium

  * Add recommended flake8 modules

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 09 May 2022 13:10:27 +0200

ros2-ament-lint (0.13.0-2) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Fix d/watch

  [ Timo Röhling ]
  * Make ROS package.xml schema available offline

 -- Timo Röhling <roehling@debian.org>  Mon, 02 May 2022 13:33:42 +0200

ros2-ament-lint (0.13.0-1) unstable; urgency=medium

  * Add upstream source
  * New upstream version 0.13.0

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 30 Apr 2022 08:36:45 +0200

ros2-ament-lint (0.12.3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Timo Röhling ]
  * New upstream version 0.12.3

 -- Timo Röhling <roehling@debian.org>  Sun, 10 Apr 2022 17:06:00 +0200

ros2-ament-lint (0.12.2-1) unstable; urgency=medium

  * New upstream version 0.12.2

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 31 Mar 2022 11:23:43 +0200

ros2-ament-lint (0.12.1-1) unstable; urgency=medium

  * New upstream version 0.12.1

 -- Timo Röhling <roehling@debian.org>  Thu, 03 Mar 2022 08:25:48 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders: Timo Röhling <roehling@debian.org>,
            Jochen Sprickerhof <jspricke@debian.org>,
 Build-Depends: debhelper-compat (= 13),
-	       ament-cmake,
+	       ament-cmake (>= 1.4.0-5~),
                cmake,
-               dh-ros (>= 0.5.0),
+               dh-ros (>= 0.5.3),
                dh-sequence-python3,
 	       python3-all,
 	       python3-flake8 <!nocheck>,
@@ -112,6 +112,15 @@
  ament-cmake-core,
  python3-ament-cmake-test,
  python3-ament-flake8,
+Recommends:
+ python3-flake8-blind-except,
+ python3-flake8-builtins,
+ python3-flake8-class-newline,
+ python3-flake8-comprehensions,
+ python3-flake8-deprecated,
+ python3-flake8-docstrings,
+ python3-flake8-import-order,
+ python3-flake8-quotes,
 Description: CMake build system for ROS 2 ament packages (flake8)
  The ament build system is the most common way to build packages for ROS 2.
  ament_cmake provides the necessary tooling to build ament packages with CMake.
@@ -344,14 +353,3 @@
  python3-ament-lint,
  python3-pycodestyle,
 Description: Python 3 module for PEP-8 validation in ROS 2 ament packages
- The ament build system is the most common way to build packages for ROS 2.
- This package provides the Python 3 module that adds PEP-8 validation
- with pycodestyle to ament.
-
-Package: python3-ament-pyflakes
-Section: python
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends},
- ${python3:Depends},
- python3-ament-lint,

## ros2-ament-lint 0.13.2

=== ament_cmake_copyright/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(ament_cmake_copyright NONE)

find_package(ament_cmake_core REQUIRED)
find_package(ament_cmake_test REQUIRED)

# include CMake functions of this package
set(ament_cmake_copyright_DIR "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
include("ament_cmake_copyright-extras.cmake" NO_POLICY_SCOPE)

ament_package(
  CONFIG_EXTRAS "ament_cmake_copyright-extras.cmake"
)

install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_cmake_lint_cmake REQUIRED)
  ament_lint_cmake()

  ament_copyright()
endif()

=== ament_cmake_cpplint/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(ament_cmake_cpplint NONE)

find_package(ament_cmake_core REQUIRED)
find_package(ament_cmake_test REQUIRED)

ament_package(
  CONFIG_EXTRAS "ament_cmake_cpplint-extras.cmake"
)

install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_cmake_copyright REQUIRED)
  ament_copyright()

  find_package(ament_cmake_lint_cmake REQUIRED)
  ament_lint_cmake()
endif()

=== ament_cmake_flake8/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(ament_cmake_flake8 NONE)

find_package(ament_cmake_core REQUIRED)
find_package(ament_cmake_test REQUIRED)

ament_package(
  CONFIG_EXTRAS "ament_cmake_flake8-extras.cmake"
)

install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_cmake_copyright REQUIRED)
  ament_copyright()

  find_package(ament_cmake_lint_cmake REQUIRED)
  ament_lint_cmake()
endif()

=== ament_cmake_xmllint/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(ament_cmake_xmllint NONE)

find_package(ament_cmake_core REQUIRED)
find_package(ament_cmake_test REQUIRED)

ament_package(
  CONFIG_EXTRAS "ament_cmake_xmllint-extras.cmake"
)

install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_cmake_copyright REQUIRED)
  ament_copyright()

  find_package(ament_cmake_lint_cmake REQUIRED)
  ament_lint_cmake()
endif()

=== debian/changelog ===
ros2-ament-lint (0.13.2-4) unstable; urgency=medium

  * Add upstream patch for new pydocstyle (Closes: #1028878)
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 15 Jan 2023 08:48:33 +0100

ros2-ament-lint (0.13.2-3) unstable; urgency=medium

  * Increase default timeouts for linter tests

 -- Timo Röhling <roehling@debian.org>  Sun, 16 Oct 2022 19:25:53 +0200

ros2-ament-lint (0.13.2-2) unstable; urgency=medium

  * Fix another flake8 version 5 compat issue

 -- Timo Röhling <roehling@debian.org>  Sat, 17 Sep 2022 19:47:23 +0200

ros2-ament-lint (0.13.2-1) unstable; urgency=medium

  * New upstream version 0.13.2
  * Update d/copyright
  * Drop old versioned depends
  * Rebase patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 17 Sep 2022 13:04:18 +0200

ros2-ament-lint (0.13.1-2) unstable; urgency=medium

  * Fix compatibility with flake8 >= 5
  * Bump Standards-Version to 4.6.1

 -- Timo Röhling <roehling@debian.org>  Thu, 15 Sep 2022 14:36:35 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders: Timo Röhling <roehling@debian.org>,
            Jochen Sprickerhof <jspricke@debian.org>,
 Build-Depends: debhelper-compat (= 13),
-	       ament-cmake (>= 1.4.0-5~),
+	       ament-cmake,
                cmake,
-               dh-ros (>= 0.5.3),
+               dh-ros,
                dh-sequence-python3,
 	       python3-all,
 	       python3-flake8 <!nocheck>,
@@ -16,7 +16,7 @@
 	       python3-pytest <!nocheck>,
 	       python3-setuptools,
 	       python3-yaml,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/robotics-team/ros2-ament-lint
 Vcs-Git: https://salsa.debian.org/robotics-team/ros2-ament-lint.git
 Rules-Requires-Root: no
@@ -353,3 +353,4 @@
  python3-ament-lint,
  python3-pycodestyle,
 Description: Python 3 module for PEP-8 validation in ROS 2 ament packages
+ The ament build system is the most common way to build packages for ROS 2.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/ament/ament_lint/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## ros2-ament-lint 0.15.2

=== debian/changelog ===
ros2-ament-lint (0.15.2-1) unstable; urgency=medium

  * New upstream version 0.15.2

 -- Timo Röhling <roehling@debian.org>  Wed, 12 Jul 2023 23:37:11 +0200

ros2-ament-lint (0.15.1-1) unstable; urgency=medium

  * New upstream version 0.15.1
  * Refresh patches
    - Drop 0003-Fake8-version-5-compat.patch (merged upstream)
    - Drop 0005-Added-underscore-to-ignore-new-pydocstyle-item-428.patch
      (merged upstream)

 -- Timo Röhling <roehling@debian.org>  Wed, 14 Jun 2023 00:45:44 +0200

## ros2-ament-lint 0.16.3

=== debian/changelog ===
ros2-ament-lint (0.16.3-1) unstable; urgency=medium

  * New upstream version 0.16.3

 -- Timo Röhling <roehling@debian.org>  Tue, 13 Feb 2024 17:42:10 +0100

ros2-ament-lint (0.16.2-1) unstable; urgency=medium

  * New upstream version 0.16.2
    - Fix compatibility with flake8 >= 6 (Closes: #1058380)

 -- Timo Röhling <roehling@debian.org>  Fri, 29 Dec 2023 21:23:13 +0100

ros2-ament-lint (0.16.1-1) unstable; urgency=medium

  * New upstream version 0.16.1

 -- Timo Röhling <roehling@debian.org>  Sat, 11 Nov 2023 22:53:28 +0100

ros2-ament-lint (0.16.0-1) unstable; urgency=medium

  * New upstream version 0.16.0

 -- Timo Röhling <roehling@debian.org>  Sun, 15 Oct 2023 16:18:10 +0200

## ros2-ament-lint 0.18.1

=== debian/changelog ===
ros2-ament-lint (0.18.1-1) unstable; urgency=medium

  * New upstream version 0.18.1

 -- Timo Röhling <roehling@debian.org>  Thu, 20 Jun 2024 09:46:15 +0200

ros2-ament-lint (0.18.0-1) unstable; urgency=medium

  * New upstream version 0.18.0
  * Reformat d/control
  * Bump Standards-Version to 4.7.0

 -- Timo Röhling <roehling@debian.org>  Mon, 29 Apr 2024 00:30:55 +0200

ros2-ament-lint (0.17.0-1) unstable; urgency=medium

  * New upstream version 0.17.0
  * Refresh patches (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Fri, 19 Apr 2024 21:41:58 +0200

ros2-ament-lint (0.16.4-1) unstable; urgency=medium

  * New upstream version 0.16.4

 -- Timo Röhling <roehling@debian.org>  Tue, 02 Apr 2024 23:08:11 +0200

=== debian/control ===
--- 
+++ 
@@ -2,26 +2,27 @@
 Section: devel
 Priority: optional
 Maintainer: Debian Robotics Team <team+robotics@tracker.debian.org>
-Uploaders: Timo Röhling <roehling@debian.org>,
-           Jochen Sprickerhof <jspricke@debian.org>,
-Build-Depends: debhelper-compat (= 13),
-	       ament-cmake,
-               cmake,
-               dh-ros,
-               dh-sequence-python3,
-	       python3-all,
-	       python3-flake8 <!nocheck>,
-	       python3-pycodestyle <!nocheck>,
-	       python3-pydocstyle <!nocheck>,
-	       python3-pytest <!nocheck>,
-	       python3-setuptools,
-	       python3-yaml,
-Standards-Version: 4.6.2
+Uploaders:
+ Timo Röhling <roehling@debian.org>,
+ Jochen Sprickerhof <jspricke@debian.org>,
+Build-Depends:
+ debhelper-compat (= 13),
+ ament-cmake,
+ cmake,
+ dh-ros,
+ dh-sequence-python3,
+ python3-all,
+ python3-flake8 <!nocheck>,
+ python3-pycodestyle <!nocheck>,
+ python3-pydocstyle <!nocheck>,
+ python3-pytest <!nocheck>,
+ python3-setuptools,
+ python3-yaml,
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/robotics-team/ros2-ament-lint
 Vcs-Git: https://salsa.debian.org/robotics-team/ros2-ament-lint.git
 Rules-Requires-Root: no
 Homepage: https://github.com/ament/ament_lint
-
 
 Package: ament-lint
 Architecture: all
@@ -354,3 +355,6 @@
  python3-pycodestyle,
 Description: Python 3 module for PEP-8 validation in ROS 2 ament packages
  The ament build system is the most common way to build packages for ROS 2.
+ This package provides the Python 3 module that adds PEP-8 validation
+ with pycodestyle to ament.
+

## ros2-ament-lint 0.19.0

=== debian/changelog ===
ros2-ament-lint (0.19.0-1) unstable; urgency=medium

  * New upstream version 0.19.0
  * Wrap and sort Debian package files
  * Add missing test dependencies
  * Fix XML schema patch to not trigger flake8 errors

 -- Timo Röhling <roehling@debian.org>  Tue, 26 Nov 2024 16:56:05 +0100

## ros2-ament-lint 0.19.1

=== ament_cmake_clang_format/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(ament_cmake_clang_format NONE)

find_package(ament_cmake_core REQUIRED)
find_package(ament_cmake_test REQUIRED)

ament_package(
  CONFIG_EXTRAS "ament_cmake_clang_format-extras.cmake"
)

install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_cmake_copyright REQUIRED)
  ament_copyright()

  find_package(ament_cmake_lint_cmake REQUIRED)
  ament_lint_cmake()
endif()

=== ament_cmake_mypy/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(ament_cmake_mypy NONE)

find_package(ament_cmake_core REQUIRED)
find_package(ament_cmake_test REQUIRED)

ament_package(
  CONFIG_EXTRAS "ament_cmake_mypy-extras.cmake"
)

install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_cmake_copyright REQUIRED)
  ament_copyright()

  find_package(ament_cmake_lint_cmake REQUIRED)
  ament_lint_cmake()
endif()

=== ament_cmake_pep257/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(ament_cmake_pep257 NONE)

find_package(ament_cmake_core REQUIRED)
find_package(ament_cmake_test REQUIRED)

ament_package(
  CONFIG_EXTRAS "ament_cmake_pep257-extras.cmake"
)

install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_cmake_copyright REQUIRED)
  ament_copyright()

  find_package(ament_cmake_lint_cmake REQUIRED)
  ament_lint_cmake()
endif()

=== ament_cmake_pycodestyle/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(ament_cmake_pycodestyle NONE)

find_package(ament_cmake_core REQUIRED)
find_package(ament_cmake_test REQUIRED)

ament_package(
  CONFIG_EXTRAS "ament_cmake_pycodestyle-extras.cmake"
)

install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_cmake_copyright REQUIRED)
  ament_copyright()

  find_package(ament_cmake_lint_cmake REQUIRED)
  ament_lint_cmake()
endif()

=== ament_cmake_pyflakes/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(ament_cmake_pyflakes NONE)

find_package(ament_cmake_core REQUIRED)
find_package(ament_cmake_test REQUIRED)

ament_package(
  CONFIG_EXTRAS "ament_cmake_pyflakes-extras.cmake"
)

install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_cmake_copyright REQUIRED)
  ament_copyright()

  find_package(ament_cmake_lint_cmake REQUIRED)
  ament_lint_cmake()
endif()

=== debian/changelog ===
ros2-ament-lint (0.19.1-1) unstable; urgency=medium

  * Rename master branch to debian/latest to comply with DEP-14
  * New upstream version 0.19.1

 -- Timo Röhling <roehling@debian.org>  Fri, 07 Feb 2025 12:22:00 +0100

=== debian/control ===
Source: ros2-ament-lint
Section: devel
Priority: optional
Maintainer: Debian Robotics Team <team+robotics@tracker.debian.org>
Uploaders:
 Timo Röhling <roehling@debian.org>,
 Jochen Sprickerhof <jspricke@debian.org>,
Build-Depends:
 ament-cmake,
 cmake,
 debhelper-compat (= 13),
 dh-ros,
 dh-sequence-python3,
 libxml2-utils <!nocheck>,
 python3-all,
 python3-flake8 <!nocheck>,
 python3-mypy <!nocheck>,
 python3-pycodestyle <!nocheck>,
 python3-pydocstyle <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-mock <!nocheck>,
 python3-setuptools,
 python3-yaml,
 uncrustify <!nocheck>,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/robotics-team/ros2-ament-lint
Vcs-Git: https://salsa.debian.org/robotics-team/ros2-ament-lint.git
Rules-Requires-Root: no
Homepage: https://github.com/ament/ament_lint

Package: ament-lint
Architecture: all
Multi-Arch: foreign
Depends:
 ament-cmake-copyright,
 ament-cmake-core,
 ament-cmake-cppcheck,
 ament-cmake-cpplint,
 ament-cmake-flake8,
 ament-cmake-lint-cmake,
 ament-cmake-pep257,
 ament-cmake-uncrustify,
 ament-cmake-xmllint,
 python3-ament-lint,
 ${misc:Depends},
Description: Linter framework for ROS 2 ament packages
 The ament build system is the most common way to build packages for ROS 2.

Package: ament-cmake-clang-format
Architecture: all
Multi-Arch: foreign
Depends:
 ament-cmake-core,
 python3-ament-clang-format,
 python3-ament-cmake-test,
 ${misc:Depends},
Description: CMake build system for ROS 2 ament packages (clang_format)
 The ament build system is the most common way to build packages for ROS 2.
 ament_cmake provides the necessary tooling to build ament packages with CMake.
 .
 This package adds support for linting with clang_format to ament_cmake.

Package: ament-cmake-clang-tidy
Architecture: all
Multi-Arch: foreign
Depends:
 ament-cmake-core,
 python3-ament-clang-tidy,
 python3-ament-cmake-test,
 ${misc:Depends},
Description: CMake build system for ROS 2 ament packages (clang_tidy)
 The ament build system is the most common way to build packages for ROS 2.
 ament_cmake provides the necessary tooling to build ament packages with CMake.
 .
 This package adds support for linting with clang_tidy to ament_cmake.

Package: ament-cmake-copyright
Architecture: all
Multi-Arch: foreign
Depends:
 ament-cmake-core,
 python3-ament-cmake-test,
 python3-ament-copyright,
 ${misc:Depends},
Description: CMake build system for ROS 2 ament packages (copyright checks)
 The ament build system is the most common way to build packages for ROS 2.
 ament_cmake provides the necessary tooling to build ament packages with CMake.
 .
 This package adds support for copyright checks to ament_cmake.

Package: ament-cmake-cppcheck
Architecture: all
Multi-Arch: foreign
Depends:
 ament-cmake-core,
 python3-ament-cmake-test,
 python3-ament-cppcheck,
 ${misc:Depends},
Description: CMake build system for ROS 2 ament packages (cppcheck)
 The ament build system is the most common way to build packages for ROS 2.
 ament_cmake provides the necessary tooling to build ament packages with CMake.
 .
 This package adds support for linting with cppcheck to ament_cmake.

Package: ament-cmake-cpplint
Architecture: all
Multi-Arch: foreign
Depends:
 ament-cmake-core,
 python3-ament-cmake-test,
 python3-ament-cpplint,
 ${misc:Depends},
Description: CMake build system for ROS 2 ament packages (cpplint)
 The ament build system is the most common way to build packages for ROS 2.
 ament_cmake provides the necessary tooling to build ament packages with CMake.
 .
 This package adds support for linting with cpplint to ament_cmake.

Package: ament-cmake-flake8
Architecture: all
Multi-Arch: foreign
Depends:
 ament-cmake-core,
 python3-ament-cmake-test,
 python3-ament-flake8,
 ${misc:Depends},
Recommends:
 python3-flake8-blind-except,
 python3-flake8-builtins,
 python3-flake8-class-newline,
 python3-flake8-comprehensions,
 python3-flake8-deprecated,
 python3-flake8-docstrings,
 python3-flake8-import-order,
 python3-flake8-quotes,
Description: CMake build system for ROS 2 ament packages (flake8)
 The ament build system is the most common way to build packages for ROS 2.
 ament_cmake provides the necessary tooling to build ament packages with CMake.
 .
 This package adds support for linting with flake8 to ament_cmake.

Package: ament-cmake-lint-cmake
Architecture: all
Multi-Arch: foreign
Depends:
 ament-cmake-core,
 python3-ament-cmake-test,
 python3-ament-lint-cmake,
 ${misc:Depends},
Description: CMake build system for ROS 2 ament packages (CMake linter)
 The ament build system is the most common way to build packages for ROS 2.
 ament_cmake provides the necessary tooling to build ament packages with CMake.
 .
 This package adds support for linting CMake files to ament_cmake.

Package: ament-cmake-mypy
Architecture: all
Multi-Arch: foreign
Depends:
 ament-cmake-core,
 python3-ament-cmake-test,
 python3-ament-mypy,
 ${misc:Depends},
Description: CMake build system for ROS 2 ament packages (mypy)
 The ament build system is the most common way to build packages for ROS 2.
 ament_cmake provides the necessary tooling to build ament packages with CMake.
 .
 This package adds support for static typing checking with mypy to ament_cmake.

Package: ament-cmake-pep257
Architecture: all
Multi-Arch: foreign
Depends:
 ament-cmake-core,
 python3-ament-cmake-test,
 python3-ament-pep257,
 ${misc:Depends},
Description: CMake build system for ROS 2 ament packages (pydocstyle PEP-257 validator)
 The ament build system is the most common way to build packages for ROS 2.
 ament_cmake provides the necessary tooling to build ament packages with CMake.
 .
 This package adds support for PEP-257 validation with pydocstyle to
 ament_cmake.

Package: ament-cmake-pycodestyle
Architecture: all
Multi-Arch: foreign
Depends:
 ament-cmake-core,
 python3-ament-cmake-test,
 python3-ament-pycodestyle,
 ${misc:Depends},
Description: CMake build system for ROS 2 ament packages (pycodestyle PEP-8 validator)
 The ament build system is the most common way to build packages for ROS 2.
 ament_cmake provides the necessary tooling to build ament packages with CMake.
 .
 This package adds support for PEP-8 validation with pycodestyle to ament_cmake.

Package: ament-cmake-pyflakes
Architecture: all
Multi-Arch: foreign
Depends:
 ament-cmake-core,
 python3-ament-cmake-test,
 python3-ament-pyflakes,
 ${misc:Depends},
Description: CMake build system for ROS 2 ament packages (pyflakes)
 The ament build system is the most common way to build packages for ROS 2.
 ament_cmake provides the necessary tooling to build ament packages with CMake.
 .
 This package adds support for pyflakes to ament_cmake.

Package: ament-cmake-uncrustify
Architecture: all
Multi-Arch: foreign
Depends:
 ament-cmake-core,
 python3-ament-cmake-test,
 python3-ament-uncrustify,
 ${misc:Depends},
Description: CMake build system for ROS 2 ament packages (uncrustify)
 The ament build system is the most common way to build packages for ROS 2.
 ament_cmake provides the necessary tooling to build ament packages with CMake.
 .
 This package adds support for uncrustify to ament_cmake.

Package: ament-cmake-xmllint
Architecture: all
Multi-Arch: foreign
Depends:
 ament-cmake-core,
 python3-ament-cmake-test,
 python3-ament-xmllint,
 ${misc:Depends},
Description: CMake build system for ROS 2 ament packages (xmllint)
 The ament build system is the most common way to build packages for ROS 2.
 ament_cmake provides the necessary tooling to build ament packages with CMake.
 .
 This package adds support for xmllint to ament_cmake.

Package: python3-ament-clang-format
Section: python
Architecture: all
Multi-Arch: foreign
Depends:
 clang-format,
 python3-ament-lint,
 ${misc:Depends},
 ${python3:Depends},
Description: Python 3 module for clang_format support in ROS 2 ament packages
 The ament build system is the most common way to build packages for ROS 2.
 This package provides the Python 3 module that adds clang_format linter
 support to ament.

Package: python3-ament-clang-tidy
Section: python
Architecture: all
Multi-Arch: foreign
Depends:
 clang-tidy,
 python3-ament-lint,
 ${misc:Depends},
 ${python3:Depends},
Description: Python 3 module for clang_tidy support in ROS 2 ament packages
 The ament build system is the most common way to build packages for ROS 2.
 This package provides the Python 3 module that adds clang_tidy linter
 support to ament.

Package: python3-ament-copyright
Section: python
Architecture: all
Multi-Arch: foreign
Depends:
 python3-ament-lint,
 ${misc:Depends},
 ${python3:Depends},
Description: Python 3 module for copyright checks in ROS 2 ament packages
 The ament build system is the most common way to build packages for ROS 2.
 This package provides the Python 3 module that adds copyright check
 support to ament.

Package: python3-ament-cppcheck
Section: python
Architecture: all
Multi-Arch: foreign
Depends:
 cppcheck,
 python3-ament-lint,
 ${misc:Depends},
 ${python3:Depends},
Description: Python 3 module for cppcheck support in ROS 2 ament packages
 The ament build system is the most common way to build packages for ROS 2.
 This package provides the Python 3 module that adds cppcheck linter
 support to ament.

Package: python3-ament-cpplint
Section: python
Architecture: all
Multi-Arch: foreign
Depends:
 cpplint,
 python3-ament-lint,
 ${misc:Depends},
 ${python3:Depends},
Description: Python 3 module for cpplint support in ROS 2 ament packages
 The ament build system is the most common way to build packages for ROS 2.
 This package provides the Python 3 module that checks C++ source code
 against Google style conventions.

Package: python3-ament-flake8
Section: python
Architecture: all
Multi-Arch: foreign
Depends:
 python3-ament-lint,
 python3-flake8,
 ${misc:Depends},
 ${python3:Depends},
Description: Python 3 module for flake8 support in ROS 2 ament packages
 The ament build system is the most common way to build packages for ROS 2.
 This package provides the Python 3 module that adds flake8 linter
 support to ament.

Package: python3-ament-lint
Section: python
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python 3 module for the Linter framework in ROS 2 ament packages
 The ament build system is the most common way to build packages for ROS 2.
 This package provides the Python 3 module that provides basic functionality
 of the Linter framework for ROS 2 ament packages.

Package: python3-ament-lint-cmake
Section: python
Architecture: all
Multi-Arch: foreign
Depends:
 python3-ament-lint,
 ${misc:Depends},
 ${python3:Depends},
Description: Python 3 module for linting CMake files in ROS 2 ament packages
 The ament build system is the most common way to build packages for ROS 2.
 This package provides the Python 3 module for linting CMake files in ament.

Package: python3-ament-mypy
Section: python
Architecture: all
Multi-Arch: foreign
Depends:
 python3-ament-lint,
 python3-mypy,
 ${misc:Depends},
 ${python3:Depends},
Description: Python 3 module for mypy support in ROS 2 ament packages
 The ament build system is the most common way to build packages for ROS 2.
 This package provides the Python 3 module that adds mypy static type
 checking support to ament.

Package: python3-ament-pep257
Section: python
Architecture: all
Multi-Arch: foreign
Depends:
 python3-ament-lint,
 python3-pydocstyle,
 ${misc:Depends},
 ${python3:Depends},
Description: Python 3 module for PEP-257 validation in ROS 2 ament packages
 The ament build system is the most common way to build packages for ROS 2.
 This package provides the Python 3 module that adds PEP-257 validation
 with pydocstyle to ament.

Package: python3-ament-pycodestyle
Section: python
Architecture: all
Multi-Arch: foreign
Depends:
 python3-ament-lint,
 python3-pycodestyle,
 ${misc:Depends},
 ${python3:Depends},
Description: Python 3 module for PEP-8 validation in ROS 2 ament packages

## ros2-ament-lint 0.20.2

=== ament_cmake_clang_format/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.20)
 
 project(ament_cmake_clang_format NONE)

=== ament_cmake_clang_tidy/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.20)
 
 project(ament_cmake_clang_tidy NONE)

=== ament_cmake_copyright/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.20)
 
 project(ament_cmake_copyright NONE)

=== ament_cmake_cppcheck/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.20)
 
 project(ament_cmake_cppcheck NONE)

=== ament_cmake_cpplint/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.20)
 
 project(ament_cmake_cpplint NONE)

=== ament_cmake_flake8/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.20)
 
 project(ament_cmake_flake8 NONE)

=== ament_cmake_lint_cmake/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.20)
 
 project(ament_cmake_lint_cmake NONE)

=== ament_cmake_mypy/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.20)
 
 project(ament_cmake_mypy NONE)

=== ament_cmake_pclint/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.20)
 
 project(ament_cmake_pclint NONE)

=== ament_cmake_pep257/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.20)
 
 project(ament_cmake_pep257 NONE)

=== ament_cmake_pycodestyle/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.20)
 
 project(ament_cmake_pycodestyle NONE)

=== ament_cmake_pyflakes/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.20)
 
 project(ament_cmake_pyflakes NONE)

=== debian/changelog ===
ros2-ament-lint (0.20.2-1) unstable; urgency=medium

  * Migrate debian/watch to version 5 format
  * New upstream version 0.20.2
  * Wrap and sort Debian package files
  * Bump Standards-Version to 4.7.2

 -- Timo Röhling <roehling@debian.org>  Tue, 09 Sep 2025 18:06:40 +0200

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
  Timo Röhling <roehling@debian.org>,
  Jochen Sprickerhof <jspricke@debian.org>,
 Build-Depends:
- ament-cmake,
- cmake,
  debhelper-compat (= 13),
  dh-ros,
  dh-sequence-python3,
+ ament-cmake,
+ cmake,
  libxml2-utils <!nocheck>,
  python3-all,
  python3-flake8 <!nocheck>,
@@ -22,7 +22,7 @@
  python3-setuptools,
  python3-yaml,
  uncrustify <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/robotics-team/ros2-ament-lint
 Vcs-Git: https://salsa.debian.org/robotics-team/ros2-ament-lint.git
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f

export ROS_SKIP_PACKAGES = ament_cmake_pclint ament_pclint
export ROS_IGNORE_TEST_RESULTS = 1

%:
	dh $@ --buildsystem=ros

=== debian/watch ===
Version: 5

Template: Github
Owner: ament
Project: ament_lint

## ros2-ament-lint 0.20.3

=== debian/changelog ===
ros2-ament-lint (0.20.3-1) unstable; urgency=medium

  * New upstream version 0.20.3
  * Drop setuptools from install_requires (Closes: #1083747)
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 26 Dec 2025 16:31:00 +0100

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
  python3-setuptools,
  python3-yaml,
  uncrustify <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/robotics-team/ros2-ament-lint
 Vcs-Git: https://salsa.debian.org/robotics-team/ros2-ament-lint.git
 Rules-Requires-Root: no
